commit 058fdbc42b832f92268730cf901d9a0ea767fede
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-21

    Updated NEWS

commit 30dee631d55f4c68f119694215920eb112d6b207
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-21

    Updated Japanese, Spanish and Simplified Chinese translation.
    
    Thanks to all translators.

commit 0f9b59cdce56f01e26f2690881d128983e75559f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-21

    Fixed compile error with g++-4.6.1

commit 36c125c7a26ca04896d1548dab0672376a5113a7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-20

    Updated po templates

commit fbba1010ee617981ba55b66446e7aae4874313ae
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-20

    Require gnutls >= 2.2.0

commit c6b71eac8f9742e8ecf570bb17cdd05d75da4863
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-19

    Updated doc for --save-session option.

commit 5cef1cb15cd8bd6e3fb61994912121680429d101
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-16

    Added missing base_uri.xml to EXTRA_DIST

commit 0c65c3606eb39814fa98f281763179a6b0690d4b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-16

    Made bool type argument as optional.

commit 4dc71647f8249fca7381ad9406cc6f2e8dedb8c0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-16

    Added --metalink-base-uri option to -i list options.

commit 653f04ef5cfc71456f4da6f37f6616966ce287af
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-16

    Add CreateRequestCommand with STATUS_INACTIVE instead of SleepCommand
    + DownloadFailureException.
    
    Throwing DownloadFailureException may stop download unexpectedly when
    --reuse-uri is false. Using CreateRequestCommand with STATUS_INACTIVE,
    they can be executed next iteration with
    DownloadEngine::setRefreshInterval(0).

commit c9fe4c64f52ded139a2e9bfdd9e6fd714f863fc2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-16

    Added relative URI support to ExpatMetalinkProcessor

commit f6625f8dc5557e77fcace9bedaf1815c5eaf763f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-16

    Updated for 1.11.2 release

commit 3ee4f372b75409a523441648e0e9dc6ba00253f1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-15

    Bump up version number to 1.11.2

commit 47b39953d20443ec9ae803e8da49c211e15762d7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-15

    Updated bash_completion

commit 49b49c351ab0e5d464d158f2d103333371d9c42a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-15

    Eliminated few seconds delay when downloads stop or pause.
    
    The delay is caused because some Commands are only called in certain
    interval(called refreshInterval, default, 1000ms). In aria2 download
    stops when all Commands associated to it are stopped. Since some
    Commands are called in each 1000ms by default, as mentioned before, we
    have to wait for them.  To fix this issue, we call
    DownloadEngine::setRefreshInterval(0) when pausing/stopping downloads.
    DownloadEngine::setRefreshInterval(0) makes refreshInterval 0 in one
    shot.
    
    When all segments are ignored, now DownloadFailureException is thrown.
    And stop the download immediately. As described earlier, we call
    DownloadEngine::setRefreshInterval(0) in catch block of
    DownloadFailureException to eliminate delay.

commit 7d144913891c64ef1f01d5279b86066f8125f080
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-14

    Added paragraph about --metalink-base-uri option.

commit b57c64bf4f485ef722afe7b49d45d98e03d0904d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-14

    Documented --metalink-base-uri option in man page.

commit 49b032800fa6f509b2bcbeab3e401d06e84a2c5a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-14

    Added --metalink-base-uri option.
    
    --metalink-uri option specifies base URI to resolve relative URI in
    metalink file stored in local disk. If URI points to a directory, URI
    must end with '/'.

commit ed589ab0349b8ce020c5a7872ce1ac3603ba8557
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-14

    Run batch file with cmd.exe. Quoted user command.
    
    It seems that we have to specify the full path to cmd.exe in the first
    argument of CreateProcess() to run batch file in proper manner.  We
    first determine the full path to cmd.exe. To do this, we get windir
    environment variable and concatenate it with "\system32\cmd.exe".

commit 286991e17d75507aff06622256097e3e8d00d470
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-14

    Strip DQUOTE from cookie-value and updated doc.

commit 3026b18ecdb3dfd61fcb34d305d965e4944ac110
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-14

    Updated doc

commit 00fa59d0f5f9762f0a0e0a4340a603c93a56d910
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-12

    Fixed the bug that the message "Loaded cookies from ..." appears when
    loading cookies from that file failed.

commit 7d7b014c72fbea50076a894137f169755c1abfcc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-07

    Fixed my e-mail address in README.asciidoc

commit 990a9e6d8eb90216713a401b0eb628f751dbff0f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-07

    Applied patch from Dan Fandrich.
    
    Thanks to Dan Fandrich.
    I modified some lines to suite my taste.

commit ad5af56c172701ce18d86769f8c02657013eb790
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-07

    Support relative URI in Metalink file.
    
    If relative URI is found in Metalink file, aria2 resolves its full URI
    contatenating the URI from which Metalink file is retrieved and
    relative URI in Metalink file. This feature is not available if
    Metalink file in local disk is specified in command line.

commit e7d7233d54b1c91ae15c778350708d75cfae74ae
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-06

    Moved joinUri from util namespace to uri namespace.

commit 11d7e4fa465fb43663e408f7252da6ab4fa7c0c4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-30

    Set DownloadEngine::setNoWait(true) in SleepCommand.

commit 1122e55a3548e318c472e7d9dcf8753489ed8579
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-30

    Handle "..", "." in util::joinUri()

commit 55d00d047c2c029594eca35e4c43b114f1cdf759
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-30

    Added swap for UriStruct

commit 871819af594f85ddc9b693b178ddeebb77ce12f4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-30

    Added util::joinUri()

commit 33b9b3b27dede975308b3ad9402c466c134a6852
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-30

    Added uri::construct()

commit 3941c722197913539ef8fadd055668eca8fbd4f4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-22

    Added test for OptionParser::getEraseAfterParse()

commit 2c0476e6d9033cdf58b9899b165bbddd974e88db
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-22

    Erase user and password specified in command-line from argv.
    
    The user and password is masked with '*'.

commit 211c4ea9f45db6482f76ccc9945ee19fc78f7e9d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-22

    If no data type tag is used in XML-RPC, treat the data as string.

commit 6ee58e28729f7332c353ea89271eb1e75e5bf0a4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-04-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-04-06

    Updated bash_completion
